file_flag_write.open("flag1_start.m", ios::out);
file_flag_write << flag1_start << endl;
file_flag_write.close();

file_flag_write.open("flag2_start.m", ios::out);
file_flag_write << flag2_start << endl;
file_flag_write.close();

file_flag_write.open("flag3_start.m", ios::out);
file_flag_write << flag3_start << endl;
file_flag_write.close();

file_flag_write.open("flag4_start.m", ios::out);
file_flag_write << flag4_start << endl;
file_flag_write.close();

